POST   alerts/recipient

Creates a new recipient with two targets: one SMS and one email.

Remarks

By default two or more recipients cannot have the same name. Use the request query parameter allow_duplicates to override this.

Returns HTTP 201 Created when succesful. The Location header contains an URL to the new alert recipient).

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/alerts/recipient?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "name": "My target",
  "description": "Description",
  "phone": "+01234567890",
  "phone_description": "My phone",
  "email": "target@email.com",
  "email_description": "My e-mail"
}"
NameType Required Description
nameStringYes

The recipient's name.

descriptionStringNo

The recipient's description.

phoneStringNo

Phone number in format +XXXXXXXXX..., where X is a digit (from 2 to 17 digits). A comma-separated list of such phone numbers is also supported.

phone_descriptionStringNo

The phone description.

emailStringNo

The recipient's email.

email_descriptionStringNo

The recipient's email description.